/**
 * 调用数据源的自定义方法
 */
import { ICreateAppOptions } from './types';
interface ICallCustomMethodOptions {
    dsConfig: ICreateAppOptions['dsConfig'];
    params?: any;
    methodName: string;
    isTestMode?: boolean;
    context: any;
    handlers: ICreateAppOptions['handlers'];
    forceCall?: boolean;
}
export declare function callCustomMethod(options: ICallCustomMethodOptions): Promise<{
    code: number;
    data: any;
} | {
    code: string | number;
    message: string;
    original: string | undefined;
} | {
    code: number;
    message: any;
    original: any;
}>;
export {};
